Subject: bug#45701: 28.0.50; [feature/native-comp] (33b8ce8) `M-x report-emacs-bug` error: "Wrong type argument: stringp, nil"

From: Andrea Corallo <[email-masked]>
Date: Thu, 07 Jan 2021 22:45:46 +0000

Justin Schell <[email-masked]> writes:

> Thanks for the replies Jim.
>
>> Justin, if your Xcode or Homebrew deps are not fully up to date, I'd
>> say start there, I've seen odd behavior a few times fixed by simply
>> updating deps.
>
> FWIW, I'm still on Catalina, so there's a potential difference between
> our setups (avoiding upgrading to Big Sur for now).
>
> I do also have a pending Xcode update that I hadn't installed because
> for some reason it thinks it needs 40GB of free space to install. I
> managed to clear the space and am downloading the update now, but
> it'll take a while.
>
> I'll test once that's installed and check my Homebrew deps as well.

For completness, I've tried also with a "NATIVE_FULL_AOT=1" bootstrap
but still worked for me on x86_64-linux-gnu.

  Andrea